Bug 595677 - Dependency issue with upgrade in 37 -> 38
Summary: Dependency issue with upgrade in 37 -> 38
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cjkuni-fonts   
(Show other bugs)
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Peng Wu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 11:22 UTC by Mamoru TASAKA
Modified: 2010-05-27 18:36 UTC (History)
6 users (show)

Fixed In Version: cjkuni-fonts-0.2.20080216.1-42.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-27 18:36:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mamoru TASAKA 2010-05-25 11:22:07 UTC
Description of problem:
Cannot upgrade from -37 to -38 (F13 -> F13-testing)


[root@localhost ~]# rpm -qa | grep cjkuni | sort
cjkuni-fonts-common-0.2.20080216.1-37.fc13.noarch
cjkuni-fonts-ghostscript-0.2.20080216.1-37.fc13.noarch
cjkuni-ukai-fonts-0.2.20080216.1-37.fc13.noarch
cjkuni-uming-fonts-0.2.20080216.1-37.fc13.noarch
[root@localhost ~]# env LANG=C yum --disablerepo=\* --enablerepo=updates-testing\*13\* upgrade cjkuni\*
Loaded plugins: downloadonly
Setting up Upgrade Process
Resolving Dependencies
--> Running transaction check
---> Package cjkuni-fonts-ghostscript.noarch 0:0.2.20080216.1-38.fc13 set to be updated
---> Package cjkuni-ukai-fonts.noarch 0:0.2.20080216.1-38.fc13 set to be updated
--> Processing Dependency: cjkuni-fonts-common = 0.2.20080216.1-38.fc13 for package: cjkuni-ukai-fonts-0.2.20080216.1-38.fc13.noarch
---> Package cjkuni-uming-fonts.noarch 0:0.2.20080216.1-38.fc13 set to be updated
--> Processing Dependency: cjkuni-fonts-common = 0.2.20080216.1-38.fc13 for package: cjkuni-uming-fonts-0.2.20080216.1-38.fc13.noarch
--> Finished Dependency Resolution
Error: Package: cjkuni-ukai-fonts-0.2.20080216.1-38.fc13.noarch (updates-testing-13)
           Requires: cjkuni-fonts-common = 0.2.20080216.1-38.fc13
           Installed: cjkuni-fonts-common-0.2.20080216.1-37.fc13.noarch (installed)
               cjkuni-fonts-common = 0.2.20080216.1-37.fc13
Error: Package: cjkuni-uming-fonts-0.2.20080216.1-38.fc13.noarch (updates-testing-13)
           Requires: cjkuni-fonts-common = 0.2.20080216.1-38.fc13
           Installed: cjkuni-fonts-common-0.2.20080216.1-37.fc13.noarch (installed)
               cjkuni-fonts-common = 0.2.20080216.1-37.fc13
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Also happens on F13 -> rawhide

Setting up Upgrade Process
Resolving Dependencies
--> Running transaction check
---> Package cjkuni-fonts-ghostscript.noarch 0:0.2.20080216.1-37.fc14 set to be updated
---> Package cjkuni-ukai-fonts.noarch 0:0.2.20080216.1-37.fc14 set to be updated
--> Processing Dependency: cjkuni-fonts-common = 0.2.20080216.1-37.fc14 for package: cjkuni-ukai-fonts-0.2.20080216.1-37.fc14.noarch
---> Package cjkuni-uming-fonts.noarch 0:0.2.20080216.1-37.fc14 set to be updated
--> Processing Dependency: cjkuni-fonts-common = 0.2.20080216.1-37.fc14 for package: cjkuni-uming-fonts-0.2.20080216.1-37.fc14.noarch
--> Finished Dependency Resolution
Error: Package: cjkuni-uming-fonts-0.2.20080216.1-37.fc14.noarch (CACHED-rawhide)
           Requires: cjkuni-fonts-common = 0.2.20080216.1-37.fc14
           Installed: cjkuni-fonts-common-0.2.20080216.1-37.fc13.noarch (installed)
               cjkuni-fonts-common = 0.2.20080216.1-37.fc13
Error: Package: cjkuni-ukai-fonts-0.2.20080216.1-37.fc14.noarch (CACHED-rawhide)
           Requires: cjkuni-fonts-common = 0.2.20080216.1-37.fc14
           Installed: cjkuni-fonts-common-0.2.20080216.1-37.fc13.noarch (installed)
               cjkuni-fonts-common = 0.2.20080216.1-37.fc13
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Comment 1 Mamoru TASAKA 2010-05-25 11:23:07 UTC
By the way currently EVR path from F13-testing -> rawhide is breaking
(.38.fc13 > .37.fc14)

Comment 2 Peng Wu 2010-05-26 01:48:36 UTC
Sorry, this is a bug in previous cjkuni-fonts rpm spec.
I am landing a big change for SC/TC fonts improvements, will fix this together.
I will post comment after 'make build' for cjkuni-fonts.

Comment 3 Frank Murphy 2010-05-26 06:40:56 UTC
Got the F14 fix,
are you rebuilding for F13?

Comment 4 Peng Wu 2010-05-26 06:52:53 UTC
Yes, I am doing it.

Comment 5 Mamoru TASAKA 2010-05-26 07:38:33 UTC
With 37 -> 41 (on rawhide):

Dependencies Resolved
===============================================================================
 Package                  Arch     Version                Repository    Size
===============================================================================
Updating:
 acl                       i686    2.2.49-7.fc14          koji-rawhide     74 k
 attr                      i686    2.4.44-5.fc14          koji-rawhide     58 k
 cjkuni-fonts-ghostscript  noarch  0.2.20080216.1-41.fc14 koji-rawhide     11 k
 cjkuni-ukai-fonts         noarch  0.2.20080216.1-41.fc14 koji-rawhide   9.4 M
 cjkuni-uming-fonts        noarch  0.2.20080216.1-41.fc14 koji-rawhide   8.9 M
.....
.....
  Updating    : cjkuni-ukai-fonts-0.2.20080216.1-41.fc14.noarch     28/130
  Updating    : cjkuni-uming-fonts-0.2.20080216.1-41.fc14.noarch    29/130 
  Updating    : cjkuni-fonts-ghostscript-0.2.20080216.1-41.fc14.n   30/130
  Cleanup     : cjkuni-fonts-ghostscript-0.2.20080216.1-37.fc13.n   68/130 
  Cleanup     : cjkuni-ukai-fonts-0.2.20080216.1-37.fc13.noarch     81/130 
  Cleanup     : cjkuni-uming-fonts-0.2.20080216.1-37.fc13.noarch    82/130 
.....
.....

Complete!

Then:

# rpm -qa | grep cjkuni | sort
cjkuni-fonts-common-0.2.20080216.1-37.fc13.noarch
cjkuni-fonts-ghostscript-0.2.20080216.1-41.fc14.noarch
cjkuni-ukai-fonts-0.2.20080216.1-41.fc14.noarch
cjkuni-uming-fonts-0.2.20080216.1-41.fc14.noarch

So -common subpackage is left unremoved.

Comment 6 Frank Murphy 2010-05-26 08:46:05 UTC
(In reply to comment #4)
> Yes, I am doing it.    

Thank you.

Comment 7 Frank Murphy 2010-05-26 08:48:03 UTC
(In reply to comment #5)
> With 37 -> 41 (on rawhide):

with 37 > 41 F13

--snip-- 

> 
> So -common subpackage is left unremoved.    

similar F13:
rpm -qa | grep cjkuni | sort
cjkuni-fonts-common-0.2.20080216.1-37.fc13.noarch
cjkuni-uming-fonts-0.2.20080216.1-41.fc13.noarch

Comment 8 Peng Wu 2010-05-27 05:50:39 UTC
(In reply to comment #6)
> (In reply to comment #4)
> > Yes, I am doing it.    
> 
> Thank you.    

Welcome.
New source rpm is built for devel/F-13,
Obsoletes -common sub-package from cjkuni-fonts and wqy-zenhei-fonts.

Comment 9 Frank Murphy 2010-05-27 06:37:07 UTC
http://koji.fedoraproject.org/koji/buildinfo?buildID=175252

works for F13

http://koji.fedoraproject.org/koji/buildinfo?buildID=175250

works for Rawhide\F14

common package removed in both cases.

Comment 10 Jens Petersen 2010-05-27 06:38:11 UTC
(Just noting for the record that -38 was already pulled from testing.)

Comment 11 Fedora Update System 2010-05-27 07:27:02 UTC
cjkuni-fonts-0.2.20080216.1-42.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/cjkuni-fonts-0.2.20080216.1-42.fc13

Comment 12 Mamoru TASAKA 2010-05-27 08:04:43 UTC
-42 (on rawhide) seems good for me.

Comment 13 Fedora Update System 2010-05-27 18:36:40 UTC
cjkuni-fonts-0.2.20080216.1-42.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.